#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Date: 2022/11/28 11:17:55
'''
import sys
sys.path.append('.')


from flask import jsonify, request, g, Blueprint

from Common.Utils import PageParam, Utils
from Common.auth import token_auth
from db_logic.stock_record import BllStockRecord

stock_router = Blueprint("stock_record", __name__)




# 列表展示
@stock_router.route("/getlist", methods=["POST"])
# @token_auth.login_required
def get_stock_record_list():
    client_id = request.values.get("client_id")
    page = request.values.get("page", 1)
    page_size = request.values.get("page_size", 10)
    page_param = PageParam(int(page), int(page_size))
    data_list = BllStockRecord().get_list_info(client_id=client_id, page_param=page_param)
    data_list = Utils.msyql_table_model(data_list)
    return jsonify(Utils.true_return(data={"data_list": data_list, "total_count": page_param.totalRecords}))
    
# 盘点库单
@stock_router.route("/set_stock", methods=["POST"])
@token_auth.login_required
def set_stock_record():
    client_id = request.values.get("client_id")
    client_code = request.values.get("client_code")
    data = BllStockRecord().set_stock_info(
        client_id=client_id,
        client_code=client_code,
        user_info=g.current_user
        )
    if data:
        return jsonify(Utils.true_return())
    else:
        return jsonify(Utils.false_return())

